Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » Following the rcp tutorial(Can't get the tooling installed)
Following the rcp tutorial [message #788955] Thu, 02 February 2012 12:30 Go to next message
Phill Perryman is currently offline Phill Perryman
Messages: 214
Registered: July 2009
Senior Member
I have installed the sdk which seems to be M4, is there an M5 sdk as it does not seem to be on the eclipse downloads site. If I use the update site as shown I get incompatible references. I have no idea how to download or install an I build and the instructions point to the wiki front page where I can't find any instructions.

How do I currently get an sdk with e4 rcp tooling installed. So I can create and start playing with an e4 RCP application.
Re: Following the rcp tutorial [message #788988 is a reply to message #788955] Thu, 02 February 2012 13:21 Go to previous messageGo to next message
Phill Perryman is currently offline Phill Perryman
Messages: 214
Registered: July 2009
Senior Member
Found the 4.2M5 27th Jan on the wiki. Still no luck installing the e4 rcp tooling for the included update site (nothing found) or the one listed in the tutorial(incompatible).
Re: Following the rcp tutorial [message #789077 is a reply to message #788988] Thu, 02 February 2012 15:25 Go to previous messageGo to next message
Paul Webster is currently offline Paul Webster
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

Use this to get the matching e4 tools (model editor) http://download.eclipse.org/e4/updates/0.12-I-builds

PW



Re: Following the rcp tutorial [message #789098 is a reply to message #789077] Thu, 02 February 2012 15:54 Go to previous messageGo to next message
Phill Perryman is currently offline Phill Perryman
Messages: 214
Registered: July 2009
Senior Member
I unzipped 0.12M5 eclipse-SDK-4.2M5-win32.zip (dated 27th Jan) from the wiki downloads page (http://download.eclipse.org/e4/downloads/) into a new folder. Launched it and added the update site (same as the one in the tutorial). Does not work. I selected the top level E4 Tools. It computes it dependancies and then says the operation cannot be completed.

Cannot complete the install because of a conflicting dependency.
Software being installed: Eclipse e4 Tools Bridge for 3.x (Incubation) 0.11.0.v20110613-2030-7E8v0FIhIexMpB5z0U6kK_ (org.eclipse.e4.tools.e3x.bridge.feature.feature.group 0.11.0.v20110613-2030-7E8v0FIhIexMpB5z0U6kK_)
Software currently installed: Eclipse SDK 4.2.0.I20120127-1145 (org.eclipse.sdk.ide 4.2.0.I20120127-1145)
Only one of the following can be installed at once:
Eclipse UI Application Services 0.10.0.v20111012-1223 (org.eclipse.e4.ui.services 0.10.0.v20111012-1223)
Eclipse UI Application Services 0.10.0.v20120131-1307 (org.eclipse.e4.ui.services 0.10.0.v20120131-1307)
Cannot satisfy dependency:
From: Eclipse e4 Rich Client Platform 1.1.0.v20120119-1412-8yE4FyfGFhbgEQM77RJng8O (org.eclipse.e4.rcp.feature.group 1.1.0.v20120119-1412-8yE4FyfGFhbgEQM77RJng8O)
To: org.eclipse.e4.ui.services [0.10.0.v20111012-1223]
Cannot satisfy dependency:
From: Eclipse e4 Tools Bridge for 3.x (Incubation) 0.11.0.v20110613-2030-7E8v0FIhIexMpB5z0U6kK_ (org.eclipse.e4.tools.e3x.bridge.feature.feature.group 0.11.0.v20110613-2030-7E8v0FIhIexMpB5z0U6kK_)
To: org.eclipse.e4.ui.services [0.10.0.v20120131-1307]
Cannot satisfy dependency:
From: Eclipse Platform 4.2.0.v20120112-2236-9IF7FH9EFwCXK_YKFP1XVz-xAsGJFz0QMKdek4UHk9aCo (org.eclipse.platform.feature.group 4.2.0.v20120112-2236-9IF7FH9EFwCXK_YKFP1XVz-xAsGJFz0QMKdek4UHk9aCo)
To: org.eclipse.rcp.feature.group [4.2.0.v20120118-1921-7IAN8ZBrHPKY8yZnllz-UbN88SKo]
Cannot satisfy dependency:
From: Eclipse RCP 4.2.0.v20120118-1921-7IAN8ZBrHPKY8yZnllz-UbN88SKo (org.eclipse.rcp.feature.group 4.2.0.v20120118-1921-7IAN8ZBrHPKY8yZnllz-UbN88SKo)
To: org.eclipse.e4.rcp.feature.group [1.1.0.v20120119-1412-8yE4FyfGFhbgEQM77RJng8O]
Cannot satisfy dependency:
From: Eclipse Project SDK 4.2.0.v20120109-2249-7T7mA7F8Yw_bnhbk55x4C6D3D7TtTxFPcwnkjP2xF9RDp (org.eclipse.sdk.feature.group 4.2.0.v20120109-2249-7T7mA7F8Yw_bnhbk55x4C6D3D7TtTxFPcwnkjP2xF9RDp)
To: org.eclipse.platform.feature.group [4.2.0.v20120112-2236-9IF7FH9EFwCXK_YKFP1XVz-xAsGJFz0QMKdek4UHk9aCo]
Cannot satisfy dependency:
From: Eclipse SDK 4.2.0.I20120127-1145 (org.eclipse.sdk.ide 4.2.0.I20120127-1145)
To: org.eclipse.sdk.feature.group [4.2.0.v20120109-2249-7T7mA7F8Yw_bnhbk55x4C6D3D7TtTxFPcwnkjP2xF9RDp]
Re: Following the rcp tutorial [message #789112 is a reply to message #789098] Thu, 02 February 2012 16:07 Go to previous messageGo to next message
Paul Webster is currently offline Paul Webster
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

You could cut down on questions if you actually included either the update site link you are using or the link to the tutorial.

PW


Re: Following the rcp tutorial [message #789128 is a reply to message #789112] Thu, 02 February 2012 16:28 Go to previous messageGo to next message
Phill Perryman is currently offline Phill Perryman
Messages: 214
Registered: July 2009
Senior Member
Sorry Paul I was not making myself clear the update site you specified is the one I used which does not work and produces the errors listed previously when done from the current 0.12M5 installation.

So explicitly my steps are
Install 0.12M5
Add http://download.eclipse.org/e4/updates/0.12-I-builds/ as an update site
Select the E4 Tools from the list and click next
Get the compatability errors.

I also tried the e4 0.11 Updates - http://download.eclipse.org/e4/updates/0.12 inbuilt as per the tutorial and as it suggests this produces no available options.

So just one question. How can I get eclipse + e4tooling installed?

The reference to the tutorial (which is what I was working from) was only that it also tells you to use the same update site. From Lars' tutorial

"Please use the included e4 update site to install the e4 tooling via the Eclipse update manager. Sometimes the included e4 tooling update site does not work, in this case use the update site http://download.eclipse.org/e4/updates/0.12-I-builds/"

Re: Following the rcp tutorial [message #789211 is a reply to message #789128] Thu, 02 February 2012 18:41 Go to previous messageGo to next message
Paul Webster is currently offline Paul Webster
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

I guess this is one part I'm not sure on: Install 0.12M5. That's not installable by itself, it needs to be installed into something: http://download.eclipse.org/eclipse/downloads/drops4/S-4.2M5-201201271145/index.php

But it looks like you might already have been using 4.2 M5, and I think I know what happened. Because integration builds have continued and it looks like org.eclipse.e4.ui.services 0.10.0.v20120131-1307 (part of 4.2) was modified after M5 (which was Jan 27th) that might account for the installer complaint. Sorry, I didn't read that part too closely.

The fix: Either download the 0.12 M5 zip or use the 0.12 M5 repo link to install the compatible tools into 4.2 M5 that you would like from http://download.eclipse.org/e4/downloads/drops/S-0.12M5-201201271145/index.html

The repo link from that page: http://download.eclipse.org/e4/downloads/drops/S-0.12M5-201201271145/repository

Sorry again about the confusion.

PW


Re: Following the rcp tutorial [message #789669 is a reply to message #789211] Fri, 03 February 2012 08:51 Go to previous messageGo to next message
Lars Vogel is currently offline Lars Vogel
Messages: 1049
Registered: July 2009
Senior Member

I think also switching to the latest integration build (as described in my tutorial) should work.
Re: Following the rcp tutorial [message #789774 is a reply to message #789669] Fri, 03 February 2012 11:46 Go to previous messageGo to next message
Phill Perryman is currently offline Phill Perryman
Messages: 214
Registered: July 2009
Senior Member
I don't actually know how to switch to an integration build and I can't find any instructions on how to do that. If I download the integration build from the downloads page it only contains the plugins and features and not the full runtime like the M5 Zip file does. The help link just takes you to the wiki home page and I cannot find any instructions there either.

I am starting with eclipse-SDK-4.2M5-win32.zip unzipped which is a full install. Do I just unzip the integration build over the top of it?
Re: Following the rcp tutorial [message #789791 is a reply to message #789774] Fri, 03 February 2012 12:09 Go to previous messageGo to next message
Lars Vogel is currently offline Lars Vogel
Messages: 1049
Registered: July 2009
Senior Member

Good to know that my description wasn't clear in the tutorial wrt the integration build. I re-phrased it: http://www.vogella.de/articles/Eclipse4RCP/article.html#tutorial_installation

Please check if its clearer now.

I would recommend to unzip the I-build to an empty directory.
Re: Following the rcp tutorial [message #789804 is a reply to message #789211] Fri, 03 February 2012 12:31 Go to previous messageGo to next message
Phill Perryman is currently offline Phill Perryman
Messages: 214
Registered: July 2009
Senior Member
OK it is working.

I unzipped the eclipse-SDK-4.2M5-win32.zip into a new folder
unzipped eclipse-e4-repo-incubation-0.12M5.zip into the eclipse folder created above repalcing all files.
Added the I-Builds update site and only installed the e4 tools (not the whole e4 tools category as that still fails) but I now have a File - New - Other - e4 - e4 Application project.

I will now work through the tutorial.

Thanks both of you.
Re: Following the rcp tutorial [message #789805 is a reply to message #789804] Fri, 03 February 2012 12:32 Go to previous messageGo to next message
Lars Vogel is currently offline Lars Vogel
Messages: 1049
Registered: July 2009
Senior Member

Great to hear! Please continue to post issues with the tutorial here; I will try to fix them fast.
Re: Following the rcp tutorial [message #815834 is a reply to message #788955] Thu, 08 March 2012 04:50 Go to previous messageGo to next message
Christopher Riley is currently offline Christopher Riley
Messages: 9
Registered: March 2012
Junior Member
Thank you for the information here. Paul Webster's instructions got me up and working finally.


Install the latest M build from:
download.eclipse.org/eclipse/downloads/

Then look for the latest Stream stable build for e4 here:
download.eclipse.org/e4/downloads/

There is no need to download the .zip. In the comments section next to the download link, there will be a link to the p2 repo where e4 tools can be installed from using the installer inside eclipse.




Another sticking point when you get up and running with a new e4 application, make sure to launch your product as an eclipse application, not as a framework.


Thanks again!!

[Updated on: Thu, 08 March 2012 04:50]

Report message to a moderator

Re: Following the rcp tutorial [message #820198 is a reply to message #789791] Tue, 13 March 2012 21:06 Go to previous messageGo to next message
ken campbell is currently offline ken campbell
Messages: 1
Registered: March 2012
Junior Member
Lars
Am I missing something??
where did de.vogella.featuretest.plugin(0.0.0.) in section 8. Feature Project ??
Thanks in Advance
ken
Re: Following the rcp tutorial [message #821430 is a reply to message #820198] Thu, 15 March 2012 10:49 Go to previous message
Lars Vogel is currently offline Lars Vogel
Messages: 1049
Registered: July 2009
Senior Member

@Ken: Chapter 8 explains what feature projects are, in chapter 9 you create one.
Previous Topic:Dependency injection in Views/Editors running with the compatibility layer
Next Topic:Documentation on context functions
Goto Forum:
  


Current Time: Thu Oct 23 04:41:30 GMT 2014

Powered by FUDForum. Page generated in 0.11344 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software